---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/Screens/Notes/Anim/"
---------------------------------------------------------------------------------------
createCompositionBG = function()
	local compositionBG = CreateCompositionSequence()
	local compositionDuration = 6
	compositionBG:setDuration(compositionDuration)
	compositionBG:setName("compositionBG" )
	compositionBG:setBoundingBox( Rectanglef(0, 0, 1024,768) )
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionsegments()
	element:setName("Layer_1")
	compositionBG:addElement(element)
	element:setHotSpot(512, 384)
	element:setParentElement(compositionBG)
	element:setXY(512, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 6)
	effector:play()
 
	compositionBG:play()
 
	return compositionBG
end
 
createCompositionsegments = function()
	local compositionsegments = CreateCompositionSequence()
	local compositionDuration = 6
	compositionsegments:setDuration(compositionDuration)
	compositionsegments:setName("compositionsegments" )
	compositionsegments:setBoundingBox( Rectanglef(0, 0, 1024,768) )
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."segment_7.png")
	element:setName("Layer_1")
	compositionsegments:addElement(element)
	element:setHotSpot(118.242324995491, 36.2060103492958)
	compositionsegments:registerParentInfo("Layer_1", "Layer_4")
	element:setXY(14.528681704948, 32.428057052637)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 6)
	effector:setKey(_TRACK_A, 0, -1.56953461369927)
	effector:setKey(_TRACK_A, 3, -0.80651164539617)
	effector:setKey(_TRACK_A, 5.95833333333333, -1.56953461369927)
	effector:play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."segment_6.png")
	element:setName("Layer_2")
	compositionsegments:addElement(element)
	element:setHotSpot(14.4512419106701, 7.21059849282574)
	compositionsegments:registerParentInfo("Layer_2", "Layer_4")
	element:setXY(15.975642645739, 16.0470576520206)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 6)
	effector:setKey(_TRACK_A, 0, 1.80101152067785)
	effector:setKey(_TRACK_A, 3.16666666666667, 1.39465665649706)
	effector:setKey(_TRACK_A, 5.95833333333333, 1.80101152067785)
	effector:play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."segment_6.png")
	element:setName("Layer_3")
	compositionsegments:addElement(element)
	element:setHotSpot(15.426302069187, 6.4698663745703)
	compositionsegments:registerParentInfo("Layer_3", "Layer_4")
	element:setXY(16.2022048586139, 16.801387795232)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 6)
	effector:setKey(_TRACK_A, 0, 1.05232732204435)
	effector:setKey(_TRACK_A, 2.875, 1.22051754278772)
	effector:setKey(_TRACK_A, 5.95833333333333, 1.05232732204435)
	effector:play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."segment_5.png")
	element:setName("Layer_4")
	compositionsegments:addElement(element)
	element:setHotSpot(44.5761680689728, 5.1757660470056)
	compositionsegments:registerParentInfo("Layer_4", "Layer_5")
	element:setXY(9.80734681036057, 51.1121130088897)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 6)
	effector:setKey(_TRACK_A, 0, -0.66761832963535)
	effector:setKey(_TRACK_A, 3.08333333333333, -0.81789787352594)
	effector:setKey(_TRACK_A, 6, -0.66761832963535)
	effector:play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."segment_4.png")
	element:setName("Layer_5")
	compositionsegments:addElement(element)
	element:setHotSpot(18.7622668930812, 7.73156545226914)
	compositionsegments:registerParentInfo("Layer_5", "Layer_6")
	element:setXY(5.73313861977607, 40.9465109989976)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 6)
	effector:setKey(_TRACK_A, 0, 0.28613378933559)
	effector:setKey(_TRACK_A, 2.95833333333333, 0.33590383677909)
	effector:setKey(_TRACK_A, 6, 0.28613378933559)
	effector:play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."segment_3.png")
	element:setName("Layer_6")
	compositionsegments:addElement(element)
	element:setHotSpot(25.239865522955, 3.46167932637539)
	compositionsegments:registerParentInfo("Layer_6", "Layer_7")
	element:setXY(9.60684867833186, 52.0683273062879)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 6)
	effector:setKey(_TRACK_A, 0, -0.23429927214768)
	effector:setKey(_TRACK_A, 2.79166666666667, -0.59082255952385)
	effector:setKey(_TRACK_A, 6, -0.23429927214768)
	effector:play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."segment_4.png")
	element:setName("Layer_7")
	compositionsegments:addElement(element)
	element:setHotSpot(18.2297040938643, 7.90149739420431)
	compositionsegments:registerParentInfo("Layer_7", "Layer_8")
	element:setXY(5.88914301840492, 40.4651950184763)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 6)
	effector:setKey(_TRACK_A, 0, 0.2750937821977)
	effector:setKey(_TRACK_A, 3.16666666666667, 0.40263234574026)
	effector:setKey(_TRACK_A, 6, 0.2750937821977)
	effector:play()
 
 
	-- Layer Layer_8
	element = CreateCompositionElement(PREFIX_PATH.."segment_3.png")
	element:setName("Layer_8")
	compositionsegments:addElement(element)
	element:setHotSpot(25.3347275730982, 3.23037608073699)
	compositionsegments:registerParentInfo("Layer_8", "Layer_9")
	element:setXY(9.32893532373492, 51.7801797418347)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 6)
	effector:setKey(_TRACK_A, 0, -0.22745475884396)
	effector:setKey(_TRACK_A, 3.20833333333333, -0.18022301814471)
	effector:setKey(_TRACK_A, 6, -0.22745475884396)
	effector:play()
 
 
	-- Layer Layer_9
	element = CreateCompositionElement(PREFIX_PATH.."segment_4.png")
	element:setName("Layer_9")
	compositionsegments:addElement(element)
	element:setHotSpot(18.1368517180655, 6.87491157884094)
	compositionsegments:registerParentInfo("Layer_9", "Layer_10")
	element:setXY(5.61247987347258, 40.5942557595632)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 6)
	effector:setKey(_TRACK_A, 0, 0.24141172435947)
	effector:setKey(_TRACK_A, 2.83333333333333, 0.31931628507128)
	effector:setKey(_TRACK_A, 6, 0.24141172435947)
	effector:play()
 
 
	-- Layer Layer_10
	element = CreateCompositionElement(PREFIX_PATH.."segment_3.png")
	element:setName("Layer_10")
	compositionsegments:addElement(element)
	element:setHotSpot(25.2398655229562, 3.46167932637539)
	compositionsegments:registerParentInfo("Layer_10", "Layer_11")
	element:setXY(9.06930314758949, 51.4034106307195)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 6)
	effector:setKey(_TRACK_A, 0, -0.38653143599961)
	effector:setKey(_TRACK_A, 3, -0.4222982609267)
	effector:setKey(_TRACK_A, 6, -0.38653143599961)
	effector:play()
 
 
	-- Layer Layer_11
	element = CreateCompositionElement(PREFIX_PATH.."segment_4.png")
	element:setName("Layer_11")
	compositionsegments:addElement(element)
	element:setHotSpot(19.0863579672929, 7.2760822191899)
	compositionsegments:registerParentInfo("Layer_11", "Layer_12")
	element:setXY(7.25375241622049, 40.3824100925965)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 6)
	effector:setKey(_TRACK_A, 0, 0.32408607349026)
	effector:setKey(_TRACK_A, 2.83333333333333, 0.50914009216616)
	effector:setKey(_TRACK_A, 6, 0.32408607349026)
	effector:play()
 
 
	-- Layer Layer_12
	element = CreateCompositionElement(PREFIX_PATH.."segment_3.png")
	element:setName("Layer_12")
	compositionsegments:addElement(element)
	element:setHotSpot(25.2398655229562, 3.46167932637539)
	compositionsegments:registerParentInfo("Layer_12", "Layer_13")
	element:setXY(9.55557618013142, 51.3334859502931)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 6)
	effector:setKey(_TRACK_A, 0, -0.26196369718336)
	effector:setKey(_TRACK_A, 3.16666666666667, -0.43973566991319)
	effector:setKey(_TRACK_A, 6, -0.26196369718336)
	effector:play()
 
 
	-- Layer Layer_13
	element = CreateCompositionElement(PREFIX_PATH.."segment_4.png")
	element:setName("Layer_13")
	compositionsegments:addElement(element)
	element:setHotSpot(19.3797956632669, 7.82791490994016)
	compositionsegments:registerParentInfo("Layer_13", "Layer_14")
	element:setXY(5.66455788692042, 41.6390346034835)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 6)
	effector:setKey(_TRACK_A, 0, 0.18526649987904)
	effector:setKey(_TRACK_A, 3.16666666666667, 0.14085179010994)
	effector:setKey(_TRACK_A, 6, 0.18526649987904)
	effector:play()
 
 
	-- Layer Layer_14
	element = CreateCompositionElement(PREFIX_PATH.."segment_3.png")
	element:setName("Layer_14")
	compositionsegments:addElement(element)
	element:setHotSpot(25.3763067184525, 3.7878446221554)
	compositionsegments:registerParentInfo("Layer_14", "Layer_15")
	element:setXY(4.01508166033983, 29.3996526542687)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 6)
	effector:setKey(_TRACK_A, 0, 0.889824415955)
	effector:setKey(_TRACK_A, 2.95833333333333, 0.8340393149455)
	effector:setKey(_TRACK_A, 6, 0.889824415955)
	effector:play()
 
 
	-- Layer Layer_15
	element = CreateCompositionElement(PREFIX_PATH.."segment_2.png")
	element:setName("Layer_15")
	compositionsegments:addElement(element)
	element:setHotSpot(51.0233394350584, 12.7402348677552)
	element:setParentElement(compositionsegments)
	element:setXY(503.25, 63.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 6)
	effector:setKey(_TRACK_A, 0, -1.25987949211539)
	effector:setKey(_TRACK_A, 3.125, -1.17985004414346)
	effector:setKey(_TRACK_A, 6, -1.25987949211539)
	effector:play()
 
 
	-- Layer Layer_16
	element = CreateCompositionElement(PREFIX_PATH.."segment_1.png")
	element:setName("Layer_16")
	compositionsegments:addElement(element)
	element:setHotSpot(7.5, 8)
	element:setParentElement(compositionsegments)
	element:setXY(504.5, 63.75)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 6)
	effector:play()
 
	compositionsegments:play()
 
	return compositionsegments
end
 
